$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.135.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.135.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '3FE22DF7F0AB4D9CEDE12E4753E004B3B11C2A0FDA266C01232E776825403EE0'
  checksumType = 'sha256'
  checksum64 = '3FE22DF7F0AB4D9CEDE12E4753E004B3B11C2A0FDA266C01232E776825403EE0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.135-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
